Package com.microblink.blinkid.fragment.overlay.blinkid.reticleui

# Enum Class MandatoryFieldType

java.lang.Object
java.lang.Enum<MandatoryFieldType>
com.microblink.blinkid.fragment.overlay.blinkid.reticleui.MandatoryFieldType

All Implemented Interfaces:
  `Serializable`, `Comparable<MandatoryFieldType>`, `Constable`

public enum MandatoryFieldType extends Enum<MandatoryFieldType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AdditionalAddressInformation`
  `AdditionalNameInformation`
  `AdditionalOptionalAddressInformation`
  `AdditionalPersonalIdNumber`
  `Address`
  `BloodType`
  `ClassEffectiveDate`
  `ClassExpiryDate`
  `Conditions`
  `DateOfBirth`
  `DateOfExpiry`
  `DateOfIssue`
  `DependentDateOfBirth`
  `DependentDocumentNumber`
  `DependentFullName`
  `DependentSex`
  `DocumentAdditionalNumber`
  `DocumentNumber`
  `DocumentOptionalAdditionalNumber`
  `DocumentSubtype`
  `EligibilityCategory`
  `Employer`
  `Endorsements`
  `FathersName`
  `FirstName`
  `FullName`
  `IssuingAuthority`
  `LastName`
  `LicenceType`
  `LocalizedName`
  `ManufacturingYear`
  `MaritalStatus`
  `MothersName`
  `Mrz`
  `Nationality`
  `PersonalIdNumber`
  `PlaceOfBirth`
  `Profession`
  `Race`
  `Religion`
  `Remarks`
  `ResidencePermitType`
  `ResidentialStatus`
  `Restrictions`
  `Sex`
  `SpecificDocumentValidity`
  `Sponsor`
  `VehicleClass`
  `VehicleType`
  `VisaType`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `mandatoryFieldMissingTooltipStringResource`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MandatoryFieldType[]`
  `fieldTypeToMandatoryFieldTypeArray(FieldType[] values)`
  `static FieldType[]`
  `mandatoryFieldTypeToFieldTypeArray(MandatoryFieldType[] values)`
  `static MandatoryFieldType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MandatoryFieldType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AdditionalAddressInformation

    public static final MandatoryFieldType AdditionalAddressInformation

  - ### AdditionalNameInformation

    public static final MandatoryFieldType AdditionalNameInformation

  - ### AdditionalOptionalAddressInformation

    public static final MandatoryFieldType AdditionalOptionalAddressInformation

  - ### AdditionalPersonalIdNumber

    public static final MandatoryFieldType AdditionalPersonalIdNumber

  - ### Address

    public static final MandatoryFieldType Address

  - ### ClassEffectiveDate

    public static final MandatoryFieldType ClassEffectiveDate

  - ### ClassExpiryDate

    public static final MandatoryFieldType ClassExpiryDate

  - ### Conditions

    public static final MandatoryFieldType Conditions

  - ### DateOfBirth

    public static final MandatoryFieldType DateOfBirth

  - ### DateOfExpiry

    public static final MandatoryFieldType DateOfExpiry

  - ### DateOfIssue

    public static final MandatoryFieldType DateOfIssue

  - ### DocumentAdditionalNumber

    public static final MandatoryFieldType DocumentAdditionalNumber

  - ### DocumentOptionalAdditionalNumber

    public static final MandatoryFieldType DocumentOptionalAdditionalNumber

  - ### DocumentNumber

    public static final MandatoryFieldType DocumentNumber

  - ### Employer

    public static final MandatoryFieldType Employer

  - ### Endorsements

    public static final MandatoryFieldType Endorsements

  - ### FathersName

    public static final MandatoryFieldType FathersName

  - ### FirstName

    public static final MandatoryFieldType FirstName

  - ### FullName

    public static final MandatoryFieldType FullName

  - ### IssuingAuthority

    public static final MandatoryFieldType IssuingAuthority

  - ### LastName

    public static final MandatoryFieldType LastName

  - ### LicenceType

    public static final MandatoryFieldType LicenceType

  - ### LocalizedName

    public static final MandatoryFieldType LocalizedName

  - ### MaritalStatus

    public static final MandatoryFieldType MaritalStatus

  - ### MothersName

    public static final MandatoryFieldType MothersName

  - ### Mrz

    public static final MandatoryFieldType Mrz

  - ### Nationality

    public static final MandatoryFieldType Nationality

  - ### PersonalIdNumber

    public static final MandatoryFieldType PersonalIdNumber

  - ### PlaceOfBirth

    public static final MandatoryFieldType PlaceOfBirth

  - ### Profession

    public static final MandatoryFieldType Profession

  - ### Race

    public static final MandatoryFieldType Race

  - ### Religion

    public static final MandatoryFieldType Religion

  - ### ResidentialStatus

    public static final MandatoryFieldType ResidentialStatus

  - ### Restrictions

    public static final MandatoryFieldType Restrictions

  - ### Sex

    public static final MandatoryFieldType Sex

  - ### VehicleClass

    public static final MandatoryFieldType VehicleClass

  - ### BloodType

    public static final MandatoryFieldType BloodType

  - ### Sponsor

    public static final MandatoryFieldType Sponsor

  - ### VisaType

    public static final MandatoryFieldType VisaType

  - ### DocumentSubtype

    public static final MandatoryFieldType DocumentSubtype

  - ### Remarks

    public static final MandatoryFieldType Remarks

  - ### ResidencePermitType

    public static final MandatoryFieldType ResidencePermitType

  - ### ManufacturingYear

    public static final MandatoryFieldType ManufacturingYear

  - ### VehicleType

    public static final MandatoryFieldType VehicleType

  - ### DependentDateOfBirth

    public static final MandatoryFieldType DependentDateOfBirth

  - ### DependentSex

    public static final MandatoryFieldType DependentSex

  - ### DependentDocumentNumber

    public static final MandatoryFieldType DependentDocumentNumber

  - ### DependentFullName

    public static final MandatoryFieldType DependentFullName

  - ### EligibilityCategory

    public static final MandatoryFieldType EligibilityCategory

  - ### SpecificDocumentValidity

    public static final MandatoryFieldType SpecificDocumentValidity

- ## Field Details

  - ### mandatoryFieldMissingTooltipStringResource

    public final int mandatoryFieldMissingTooltipStringResource

- ## Method Details

  - ### values

    public static MandatoryFieldType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MandatoryFieldType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fieldTypeToMandatoryFieldTypeArray

    public static MandatoryFieldType[] fieldTypeToMandatoryFieldTypeArray(FieldType[] values)

  - ### mandatoryFieldTypeToFieldTypeArray

    public static FieldType[] mandatoryFieldTypeToFieldTypeArray(MandatoryFieldType[] values)